### Class

# WebKit NotificationPermissionRequest

since: 2.8

#### Description [src]

    final class WebKit.NotificationPermissionRequest : GObject.Object
      implements WebKit.PermissionRequest {
      /* No available fields */
    }

A permission request for displaying web notifications.

WebKitNotificationPermissionRequest represents a request for permission to decide whether WebKit should provide the user with notifications through the Web Notification API.

When a WebKitNotificationPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.8

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

unstable since: 6.0

###### webkit_permission_request_deny

Deny the action which triggered this request.

unstable since: 6.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitNotificationPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.